<template>
  <main>
    <mt-page-title
      :link-to="{ name: 'profil-dashboard-types-activites', params: { profil: 'admin' } }"
      link-text="Annuler"
    >
      <h1 class="has-text-weight-bold is-size-3">création d'un type d'activité</h1>
    </mt-page-title>
    <form @submit.prevent="submit">
      <mt-champs-form-type-activite :type-activite="typeActivite" />
      <div class="columns is-centered">
        <b-button type="is-primary has-text-weight-semibold" native-type="submit">
          Créer le type d'activite
        </b-button>
      </div>
    </form>
  </main>
</template>

<script>
import MtPageTitle from '~/components/base/page-title/index';
import MtChampsFormTypeActivite from '~/components/dashboard/typeActivite/champs-form-type-activite';
import newTypeActivite from '~/components/mixins/typeActiviteMixin';

export default {
  layout: 'container-small',
  components: {
    MtPageTitle,
    MtChampsFormTypeActivite,
  },
  asyncData() {
    const typeActivite = newTypeActivite();
    return {
      typeActivite,
    };
  },
  methods: {
    async submit() {
      try {
        await this.$api.typesActivites.post(this.typeActivite);
        this.$router.push({ name: 'profil-dashboard-types-activites', params: { profil: 'admin' } });
      } catch ({
        response: {
          status,
          data: { message },
        },
      }) {
        this.$buefy.notification.open({
          message,
          type: 'is-danger',
          duration: 5000,
        });
      }
    },
  },
};
</script>

<style scoped lang="scss"></style>
